<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;

/**
 * Description of PDFConstanciasCEEPAM
 *
 * @author SISTEMAS
 */
class PDFConstanciasCEEPAM extends FPDF {

    //put your code here

    public function generarConstancia($a, $cb) {

        $this->SetLeftMargin(20);
        $this->SetRightMargin(20);

        $meses = ["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        $cuatris = ["primer", "segundo", "tercer", "cuarto", "quinto", "sexto", "séptimo", "octavo", "noveno", "décimo"];

        $this->Cell(0, 5, utf8_decode("Toluca de Lerdo a " . date('d') . " de " . $meses[(int) date('m') - 1] . " de " . date('Y')), 0, 0, 'R', false);
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("UTM/SE/" . date('y') . date('m') . date('d') . "/" . date('His')), 0, 0, 'R', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', 'B', '');
        $this->Cell(0, 5, utf8_decode("A QUIEN CORRESPONDA"), 0, 0, 'L', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("P R E S E N T E"), 0, 0, 'L', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', '', '');
        $texto = "La que suscribe, Lic. Kenia Quintana Oro, Coordinadora de Servicios Escolares de la UNIVERSIDAD TEC Mexiquense.";
        $this->MultiCell(0, 6, utf8_decode($texto), 0, 'J', false);
        $this->Ln();
        $this->Ln();
        $this->SetFont('', 'B', '');
        $this->Cell(0, 6, utf8_decode("H A C E   C O N S T A R"), 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', '', '');
        $nomAlu = $a->getApePat() . " " . $a->getApeMat() . " " . $a->getNomAlu();
        $matricula = $a->getCveCtl();
        $especialidad = $a->getCveLic()->getCveNivAca()->getNombre() . " EN " . $a->getCveLic()->getNomLic();
        $numCua = $cuatris[$a->getNumero() - 1];
        if ($a->getSexo() == 0) { // ES HOMBRE
            $texto = "Que el C. $nomAlu, se encuentra inscrito en esta institución educativa, con número de matricula $matricula, cursando actualmente el $numCua cuatrimestre, de la $especialidad.";
        } elseif ($a->getSexo() == 1) {// ES MUJER
            $texto = "Que la C. $nomAlu, se encuentra inscrita en esta institución educativa, con número de matricula $matricula, cursando actualmente el $numCua cuatrimestre, de la $especialidad.";
        }
        $this->MultiCell(0, 6, utf8_decode($texto), 0, 'J', false);
        $this->Ln();
        $this->Ln();
        if ($a->getSexo() == 0) { // ES HOMBRE
            $texto = "A petición del interesedo y para fines administrativos que a él convengan, le envío un cordial saludo.";
        } elseif ($a->getSexo() == 1) {// ES MUJER
            $texto = "A petición de la intereseda y para fines administrativos que a ella convengan, le envío un cordial saludo.";
        }

        $this->MultiCell(0, 6, utf8_decode($texto), 0, 'J', false);

        $this->SetY(200);
        $this->Cell(0, 5, utf8_decode("ATENTAMENTE"), 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("____________________________________"), 0, 0, 'C', false);
        $this->Ln();
        $this->SetFont('', 'B', '');
        $this->Cell(0, 5, utf8_decode("LIC. KENIA QUINTANA ORO"), 0, 0, 'C', false);
        $this->Ln();
        $this->SetFont('', '', '');
        $this->Cell(0, 5, utf8_decode("COORDINADORA DE SERVICIOS ESCOLARES"), 0, 0, 'C', false);

        $this->Image($cb, 20, 245, 50, 5);
        $this->SetY(250);
        $this->Cell(50, 5, utf8_decode($matricula), 0, 0, 'C', false);
    }

}
